Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
linkedin
/
post-comments
List LinkedIn post comments
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/post-comments \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "postUrls": [
    "https://www.linkedin.com/feed/update/urn:li:activity:123"
  ],
  "maxItems": 10
}
'
{
  "data": [
    {
      "id": "<string>",
      "commentary": "<string>",
      "linkedinUrl": "<string>",
      "createdAt": "<string>",
      "createdAtTimestamp": 123,
      "engagement": {
        "likes": 123,
        "comments": 123,
        "shares": 123
      },
      "postId": "<string>",
      "pinned": true,
      "edited": true,
      "actor": {
        "id": "<string>",
        "name": "<string>",
        "linkedinUrl": "<string>",
        "position": "<string>",
        "universalName": "<string>",
        "pictureUrl": "<string>"
      },
      "replies": "<array>"
    }
  ],
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/linkedin/post-comments

List comments on LinkedIn posts.
Retrieve comments for one or more LinkedIn post URLs.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/linkedin/post-comments \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"postUrls": ["https://www.linkedin.com/feed/update/urn:li:activity:123"], "maxItems": 50}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
postUrls
string[]
required
Example:
[
  "https://www.linkedin.com/feed/update/urn:li:activity:123"
]
maxItems
number
default:10
Required range: 1 <= x <= 500

Response

LinkedIn post comments.

data
object[]
required
meta
object
required